# Uses of Class
org.snpsift.lang.function.Function

Packages that use Function
Package
Description
org.snpsift.lang
org.snpsift.lang.function

## Uses of Function in org.snpsift.lang

Methods in org.snpsift.lang that return Function
Modifier and Type
Method
Description
`Function`
LangFactory.`expressionSetFactory(org.antlr.v4.runtime.tree.ParseTree tree)`
Create FunctionBoolSet from AST
`Function`
LangFactory.`functionFactory(org.antlr.v4.runtime.tree.ParseTree tree)`
Create function
`Function`
LangFactory.`functionVcfEntryFactory(org.antlr.v4.runtime.tree.ParseTree tree)`
Create Functions from tree Note: These functions that are calculated on the whole VcfEntry.

## Uses of Function in org.snpsift.lang.function

Subclasses of Function in org.snpsift.lang.function
Modifier and Type
Class
Description
`class`
`CountHet`
Count number of heterozygous samples
`class`
`CountHom`
Count number of homozygous samples
`class`
`CountRef`
Count number of refernces samples
`class`
`CountVariant`
Count number of ALT samples
`class`
`FunctionBoolGenotype`
A function that returns a bool type (i.e.
`class`
`In`
Is an expression in a set?
`class`
`IsHet`
Is 'genotypeNum' heterozygous?
`class`
`IsHom`
Is 'genotypeNum' homozygous?
`class`
`IsRef`
Is 'genotypeNum' reference?
`class`
`IsVariant`
Is 'genotypeNum' reference?